Gecode::Int::Linear::EqBoolView< XV, YV > Class Template Reference
Other available functionality » Integer propagators

Propagator for equality to Boolean sum (cardinality) More...

`#include <linear.hh>`

## Public Member Functions

virtual Actor * | copy (Space &home)
| Create copy during cloning.
virtual ExecStatus | propagate (Space &home, const ModEventDelta &med)
| Perform propagation.
Public Member Functions inherited from Gecode::Int::Linear::LinBoolView< XV, YV >
virtual PropCost | cost (const Space &home, const ModEventDelta &med) const
| Cost function (defined as low linear).
virtual void | reschedule (Space &home)
| Schedule function.
virtual size_t | dispose (Space &home)
| Delete propagator and return its size.
ModEventDelta | modeventdelta (void) const
| Return the modification event delta.
virtual ExecStatus | advise (Space &home, Advisor &a, const Delta &d)
| Advise function.
virtual void | advise (Space &home, Advisor &a)
| Run advisor a to be run on failure in failed space.
double | afc (void) const
| Return the accumlated failure count.
unsigned int | id (void) const
| Return propagator id.
PropagatorGroup | group (void) const
| Return group propagator belongs to.
void | group (PropagatorGroup g)
| Add propagator to group g.
bool | disabled (void) const
| Whether propagator is currently disabled.
virtual | ~Actor (void)
| To avoid warnings.

## Static Public Member Functions

static ExecStatus | post (Home home, ViewArray< XV > &x, YV y, int c)
| Post propagator for .
static void * | operator new (size_t s, Space &home)
| Allocate memory from space.
static void | operator delete (void *p, Space &home)
| No-op for exceptions.
static void * | operator new (size_t s)
| Not used.
static void | operator delete (void *p)
| Not used.

## Protected Member Functions

| EqBoolView (Space &home, EqBoolView &p)
| Constructor for cloning p.
| EqBoolView (Home home, ViewArray< XV > &x, YV y, int c)
| Constructor for creation.
Protected Member Functions inherited from Gecode::Int::Linear::LinBoolView< XV, YV >
| LinBoolView (Space &home, LinBoolView &p)
| Constructor for cloning p.
| LinBoolView (Home home, ViewArray< XV > &x, YV y, int c)
| Constructor for creation.
Protected Member Functions inherited from Gecode::Propagator
| Propagator (Home home)
| Constructor for posting.
| Propagator (Space &home, Propagator &p)
| Constructor for cloning p.
Propagator * | fwd (void) const
| Return forwarding pointer during copying.
Kernel::GPI::Info & | gpi (void)
| Provide access to global propagator information.

## Additional Inherited Members

Protected Attributes inherited from Gecode::Int::Linear::LinBoolView< XV, YV >
ViewArray< XV > | x
| Boolean views.
YV | y
| View to compare number of assigned Boolean views to.
int | c
| Righthandside (constant part from Boolean views assigned to 1).

## Detailed Description

template<class XV, class YV>
class Gecode::Int::Linear::EqBoolView< XV, YV >

Propagator for equality to Boolean sum (cardinality)

Requires

#include <gecode/int/linear.hh>
linear.hh

Definition at line 1052 of file linear.hh.

## Constructor & Destructor Documentation

## EqBoolView() [1/2]

template<class XV, class YV>

Gecode::Int::Linear::EqBoolView< XV, YV >::EqBoolView | ( | Space & | home,
|  | EqBoolView< XV, YV > & | p )

inline protected

Constructor for cloning p.

Definition at line 124 of file bool-view.hpp.

## EqBoolView() [2/2]

template<class XV, class YV>

Gecode::Int::Linear::EqBoolView< XV, YV >::EqBoolView | ( | Home | home,
|  | ViewArray< XV > & | x,
|  | YV | y,
|  | int | c )

inline protected

Constructor for creation.

Definition at line 86 of file bool-view.hpp.

## Member Function Documentation

## copy()

template<class XV, class YV>

Actor * Gecode::Int::Linear::EqBoolView< XV, YV >::copy | ( | Space & | home | ) |

virtual

Create copy during cloning.

Implements Gecode::Actor.

Definition at line 129 of file bool-view.hpp.

## propagate()

template<class XV, class YV>

ExecStatus Gecode::Int::Linear::EqBoolView< XV, YV >::propagate | ( | Space & | home,
|  | const ModEventDelta & | med )

virtual

Perform propagation.

Implements Gecode::Propagator.

Definition at line 135 of file bool-view.hpp.

## post()

template<class XV, class YV>

ExecStatus Gecode::Int::Linear::EqBoolView< XV, YV >::post | ( | Home | home,
|  | ViewArray< XV > & | x,
|  | YV | y,
|  | int | c )

static

Post propagator for .

Definition at line 91 of file bool-view.hpp.

The documentation for this class was generated from the following files:

- gecode/int/linear.hh
- gecode/int/linear/bool-view.hpp